oath_strerror(3)

NAME
oath_strerror - API function

SYNOPSIS
#include <oath.h>

const char * oath_strerror(int err);

ARGUMENTS

int err
    liboath error code

DESCRIPTION
Convert return code to human readable string explanation of the reason for the particular error code.

This string can be used to output a diagnostic message to the user.

This function is one of few in the library that can be used without a successful call to oath_init().

RETURN VALUE
Returns a pointer to a statically allocated string containing an explanation of the error code err.

SINCE
1.8.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. liboath home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.